Skip to main content
GET
List Entitlements

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account
string

Limit the entitlement list to a specified account id or vid - if specified, all Entitlements associated with that Account appear. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
entitlement
string

Limit the entitlement list to the specified entitlement id. A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
include_children
boolean
default:false

Indicates whether or not to return any existing child accounts’ entitlements when an account is specified.

show_all
boolean
default:true

Indicates whether or not to display all the relevant entitlements when an account is specified.

Response

JSON A list array of Entitlements filtered by the given Query Parameters. Each entry in the array is a full Entitlement object. If no more objects are available, the resulting array will be empty. This request should never throw an error. A list of Entitlement objects matching the query. Also:

  • "total_count": Integer count of the number of Entitlement objects in the returned list.
  • "url": The query string provided in the request
  • "next": The route (partial URL) to the next Entitlement object (string to select the “next”); included id should match that of the last object returned here
  • "previous": The route (partial URL) to the previous Entitlement object (string to select the “previous”); included id should match that of the first object returned here
object
enum<string>
Available options:
List
data
object[]
total_count
integer

Integer count of the number of items in the returned list.

url
string

The query string provided in the request

next
string

The route (partial URL) to the next Credit object (string to select the "next"); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Credit object (string to select the "previous"); included id should match that of the first object

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"Entitlement\", \"id\": \"ent_p1235\", \"description\": \"Access to ent_p1235\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"billing_plan\": { \"object\": \"BillingPlan\", \"id\": \"plan_1235\", \"vid\": \"8644badd87f372e93ef355f8c0dda1f350128656\" }, \"starts\": \"2022-04-05T06:58:09+00:00\", \"ends\": \"2022-05-11T23:59:59+00:00\", \"active\": true } ], \"total_count\": 1, \"url\": \"/entitlements?account=Account_1649141886\", \"next\": null, \"previous\": null }"